<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
if ( isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}
############################################################################
/*************************** Version 20180719 *****************************/
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS US 3 Day Front Forecast Charts"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS US 3-7 Day Forecast Charts');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS US 3-7 Day Forecast Charts';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
?>
<link href="css/hover-tiny.css" rel="stylesheet" media="all"/>
<style type="text/css">
 div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
	}
</style>
<link rel="stylesheet" href="quake-json.css"/>
<script type="text/javascript" src="quake-json.js"></script>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
/******************************* Settings *********************************/
$divWidth = 676; // Narrow style width
$maxWidth = 891; // Maximum width of images
/***************************  End of Settings *****************************/
$isSetWidescreen = isset($_SESSION['CSSwidescreen']);
$wideScreen = ($isSetWidescreen&&($_SESSION['CSSwidescreen']==1))?true:false; 
if ($isSetWidescreen) {
  $divWidth = $wideScreen? $maxWidth : $divWidth;
}
$divWidth = $standAlone?$maxWidth:$divWidth;
?>
<script>
  var today = "<?php echo date("Ymd")?>"
  var fronts60hour = "<?php echo date("H")?>"
</script>
<?php if ($isSetWidescreen) { ?>
	<div id="main-copy" style="width:<?php echo $wideScreen ? 'calc(100%-114)' : ($divWidth+6) ?>px; border:inset; padding:0 0 0 0">
<?php } else { ?>
	<div id="main-copy" style="width:100%; border:<?php echo ($standAlone)?'none':'inset'?>; padding:0 0 0 0">
<?php }	?>
	<div class="center" style="width:<?php echo $divWidth ?>px">
	<br/>

<h2 align="center" style="margin-bottom: 5px">WPC high-resolution medium-range forecast display</h2>
<div align="center" style="font-family: 'Arial'; font-size: 150%; margin: 5px 0px 10px;">
  <span id="validdate1" align="center"></span>&nbsp;&nbsp;&mdash;&nbsp;
  <span id="validdate2" align="center"></span>
</div>

<table border="1" align="center">
  <caption id="legendpop2" style="text-align: left; caption-side: bottom;"> </caption>

<form name = "DisplayForm">

<tr align="center">
  <td rowspan="4" cellpadding="0">
  <!-- Set up the image display window -->
  <table border="0" align="center">
    <caption id="note" style="text-align: left; caption-side: bottom;"></caption>
    <tr>
      <td id="medrtd" valign="top">
<!--        <div id="medrdiv" border="1" align="center" style="width:891px; height:668px"> -->
        <div id="medrdiv" border="1" align="center" style="width:<?php echo $divWidth-18?>px; height:<?php echo ($divWidth-18)*.75?>px">
        </div>
      </td>
    </tr>
  </table>
  </td>
  </tr>
  </table>
<table border="1" align="center" style="font-size:14px">
<tr>
  <td nowrap align="center">
  <h3 style="margin-top: 5px; margin-bottom: 5px;">Forecast Day</h3>
    <table>
      <tr>
        <td>
          <input type = "radio" name = "day" id = "072" value = "072" checked = "checked" onClick = "getData(0)" >3<br>
          <input type = "radio" name = "day" id = "084" value = "084" onClick = "getData(0)" >3 &frac12
        </td>
        <td>
          <input type = "radio" name = "day" id = "096" value = "096" onClick = "getData(0)" >4<br>
          <input type = "radio" name = "day" id = "108" value = "108" onClick = "getData(0)" >4 &frac12
        </td>
        <td>
          <input type = "radio" name = "day" id = "120" value = "120" onClick = "getData(0)" >5<br>
          <input type = "radio" name = "day" id = "132" value = "132" onClick = "getData(0)" >5 &frac12
        </td>
        <td>
          <input type = "radio" name = "day" id = "144" value = "144" onClick = "getData(0)" >6<br>
          <input type = "radio" name = "day" id = "156" value = "156" onClick = "getData(0)" >6 &frac12
        </td>
        <td>
          <input type = "radio" name = "day" id = "168" value = "168" onClick = "getData(0)" >7<br>
          <input type = "radio" name = "day" id = "180" value = "180" onClick = "getData(0)" >7 &frac12
        </td>
      </tr>
    </table>
  <input type = "button" style="font-weight:bold" id="-24h" value="-24h" onClick="getData(-24)">
  <input type = "button" style="font-weight:bold" id="-12h" value="-12h" onClick="getData(-12)">
  <input type = "button" style="font-weight:bold" id="+12h" value="+12h" onClick="getData(12)">
  <input type = "button" style="font-weight:bold" id="+24h" value="+24h" onClick="getData(24)"><br>

  <input type = "checkbox" name="shiftfronts" id="shiftfronts" checked="checked" onClick = "getData(0)"><label 
    style="font-size:80%; font-family: 'Arial'" >show fronts/wind barbs 12 hours earlier</label>
  </td>

  <td align="left">
  <h3 align="center" style="margin-top: 5px; margin-bottom: 5px;">Filled background</h3>
  <input type = "radio" name = "fill" id = "minmax" value = "minmax" onClick = "getData(0)" /> 
    <label for="minmax" id="mnmxlabel" style="margin-left: -4px"> <br></label>
  <input type = "radio" name = "fill" id = "minmaxanom" value = "minmaxanom" onClick = "getData(0)" >Temperature anomaly (&degF)<br>
  <input type = "radio" name = "fill" id = "td" value = "td" onClick = "getData(0)" >Td (&degF)<br>
  <input type = "radio" name = "fill" id = "cld" value = "cloud" onClick = "getData(0)" >Cloud cover (%)<br>
  <input type = "radio" name = "fill" id = "ndfdwx" value = "ndfdwx" onClick = "getData(0)" >NDFD Wx type<br>
  <input type = "radio" name = "fill" id = "wx" value = "wpcwx" onClick = "getData(0)" >WPC Wx type<br>
  <input type = "radio" name = "fill" id = "pop2" value = "pop2" checked onClick = "getData(0)" >Simple Wx type*<br>
  <input type = "radio" name = "fill" id = "pop" value = "pop" onClick = "getData(0)" >12-hr PoP (%)<br>
  <input type = "radio" name = "fill" id = "spread" value = "spread" onClick = "getData(0)" >PMSL ensemble spread (mb)<br>
  </td>
  <td>
  <h3 align="center" style="margin-top: 5px; margin-bottom: 5px;">Overlays</h3>
  <input type = "checkbox" name = "front" id = "front"   value = "front"  checked = "checked" onClick= "getData(0)">Fronts (12Z only) and isobars<br>
  <input type = "radio" name = "fronttype" id = "thinfronts" onClick = "getData(0)" style="margin-left: 1.5em" ><label style="font-size: 80%; font-style: italic">thin</label>
  <input type = "radio" name = "fronttype" id = "thickfronts" checked onClick = "getData(0)" ><label style="font-size: 80%; font-style: italic">high contrast</label><br>
  <input type = "checkbox" name = "windb" id = "windb"   value = "windb"  onClick= "getData(0)">Wind Barbs<br>
  <input type = "checkbox" name = "stnmxmn"   id = "stnmxmn" value = "stnmxmn" checked = "checked" onClick= "getData(0)">Station Values
  <input type = "radio" name="stntype" id="somestn" checked onClick = "getData(0)" ><label style="font-size: 80%; font-style: italic">some</label>
  <input type = "radio" name="stntype" id="allstn" onClick = "getData(0)" ><label style="font-size: 80%; font-style: italic">all</label><br>
  <input type = "checkbox" name="tstnonly" id="tstnonly" checked onClick = "getData(0)" style="margin-left: 1.5em"><label 
    style="font-size:80%; font-family: 'Arial'" >show only max/min temp. values</label><br>
  <input type = "checkbox" name="isotherms" id="isotherms" value="isotherms" onClick= "getData(0)">Isotherms
  <input type = "checkbox" name="zero" id="zero" value="zero" onClick= "getData(0)">0&deg
  <input type = "checkbox" name="freezing" id="freezing" value="freezing" checked onClick= "getData(0)">32&deg
  <input type = "checkbox" name="century" id="century" value="century" onClick= "getData(0)">100&deg
  </td>
</tr>

</form>
</table>

<script language="Javascript">
  <!-- Leaflet setups -->
  var map = L.map("medrdiv", {
    minZoom: 2,
    maxZoom: 4,
    center: [-61, 79],
    zoom: 2.5,
    zoomDelta: 0.5,
    zoomSnap: 0.5,
    crs: L.CRS.Simple
  });
	var w = <?php echo ($standAlone||$wideScreen)?1260:($maxWidth+100)?>,
			h = <?php echo ($standAlone||$wideScreen)?945:(($maxWidth+100)*.75)?>,

/*  var w = 1260,
      h = 945,
*/
      url = "https://www.wpc.ncep.noaa.gov/medr/display/pop2_f072.gif";

  southWest = map.unproject([0, h], map.getMaxZoom()-1);
  northEast = map.unproject([w, 0], map.getMaxZoom()-1);
  var mapbounds = new L.LatLngBounds(southWest, northEast);

  medrmap = L.imageOverlay(url, mapbounds, {zIndex: 0});
  map.addLayer(medrmap);

  fronts = L.imageOverlay('https://www.wpc.ncep.noaa.gov/medr/display/fronts_thick_f072h.gif', mapbounds, {zIndex: 1});
  isotherms = L.imageOverlay('https://www.wpc.ncep.noaa.gov/medr/display/isotherms_f072.gif', mapbounds, {zIndex: 2});
  zero = L.imageOverlay('https://www.wpc.ncep.noaa.gov/medr/display/0F_f072.gif', mapbounds, {zIndex: 3});
  freezing = L.imageOverlay('https://www.wpc.ncep.noaa.gov/medr/display/0C_f072.gif', mapbounds, {zIndex: 4});
  century = L.imageOverlay('https://www.wpc.ncep.noaa.gov/medr/display/100F_f072.gif', mapbounds, {zIndex: 5});
  stnmxmn = L.imageOverlay('https://www.wpc.ncep.noaa.gov/medr/display/tstn_f072h.gif', mapbounds, {zIndex: 6});
  wind = L.imageOverlay('https://www.wpc.ncep.noaa.gov/medr/display/windb_trans_f072.gif', mapbounds, {zIndex: 7});

  map.setMaxBounds(mapbounds);

// Javascript function to display images
// 01/17/14  Tony
// 09/20/14  Kwan
// 02/09/18  Kwan - Leaflet version
function getData(nhr)
   {
// Update the value of the radio button selected for "forecast day"
// according to variable nhr (advance by nhr number of hours)

// First, find out the value of the radio button currently selected for "fcst day"
      for (var i=0; i< document.DisplayForm.day.length; i++)
      {
         if ( document.DisplayForm.day[i].checked)
         {
            var fhr = document.DisplayForm.day[i].value;
            var n = i;
         }
      }

// Advance fhr by nhr hours
      fhr = Number(fhr) + nhr;
      n = n + nhr / 12;

      if ( fhr < 100 ) { fhr = '0' + fhr; }

      document.DisplayForm.day[n].checked = true;

// Disable/enable the Forecast Day advance buttons to keep them within range
      if ( n <= 1 ) {
        document.getElementById("-24h").disabled = true;
      }
      else {
        document.getElementById("-24h").disabled = false;
      }

      if ( n == 0 ) {
        document.getElementById("-12h").disabled = true;
      }      
      else {
        document.getElementById("-12h").disabled = false;
      }

      if ( n == 9 ) {
        document.getElementById("+12h").disabled = true;
      }
      else {
        document.getElementById("+12h").disabled = false;
      }

      if ( n >= 8 ) {
        document.getElementById("+24h").disabled = true;
      }
      else {
        document.getElementById("+24h").disabled = false;
      }

// Update the valid date and time shown on webpage
      var weekday = new Array();
      weekday[0] = "Sun"; weekday[1] = "Mon"; weekday[2] = "Tue"; weekday[3] = "Wed";
      weekday[4] = "Thu"; weekday[5] = "Fri"; weekday[6] = "Sat";

      var month = new Array();
      month[0] = "Jan"; month[1] = "Feb"; month[2] = "Mar"; month[3] = "Apr"; month[4] = "May"; month[5] = "Jun";
      month[6] = "Jul"; month[7] = "Aug"; month[8] = "Sep"; month[9] = "Oct"; month[10] = "Nov"; month[11] = "Dec";

      y0 = Number(today.substring(0, 4));
      m0 = Number(today.substring(4, 6)) - 1;
      d0 = Number(today.substring(6));
      h0 = 12;

      validdate = new Date(y0,m0,d0,h0);
      validdate.setHours(validdate.getHours() + Number(fhr) - 12);
      y1 = validdate.getFullYear() + "";
      m1 = month[validdate.getMonth()];
        if (m1.length == 1) { m1 = "0" + m1; }
      d1 = validdate.getDate() + "";
        if (d1.length == 1) { d1 = "0" + d1; }
      dow1 = weekday[validdate.getDay()];
      h1 = validdate.getHours() + "";
        if (h1.length == 1) { h1 = "0" + h1; }

      validdate.setHours(validdate.getHours() + 12);
      y2 = validdate.getFullYear() + "";
      m2 = month[validdate.getMonth()];
        if (m2.length == 1) { m2 = "0" + m2; }
      d2 = validdate.getDate() + "";
        if (d2.length == 1) { d2 = "0" + d2; }
      dow2 = weekday[validdate.getDay()];
      h2 = validdate.getHours() + "";
        if (h2.length == 1) { h2 = "0" + h2; }

      document.getElementById("validdate1").innerHTML = h1 + "Z " + dow1 + " " + m1 + " " + d1 + ", " + y1;
      document.getElementById("validdate2").innerHTML = h2 + "Z " + dow2 + " " + m2 + " " + d2 + ", " + y2;
      
// Find out the value of the radio button selected for "background image"

      for (var i=0; i< document.DisplayForm.fill.length; i++)
      {
         if ( document.DisplayForm.fill[i].checked)
         {
            var imgfill = document.DisplayForm.fill[i].value;
         }
      }


// Display background image

      var ext='.gif'
      if ( imgfill == "cloud" ) {
         ext='.png'
      }
      if ( imgfill == "minmax" || imgfill == "minmaxanom" ) {
         ext='-.gif'
      }
      medrmap.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + imgfill + '_f' + fhr + ext);

      if ( imgfill == "pop2" ) {
         if ( fhr % 24 != 0 ) {
           mxmn = "maximum"
         }
         else {
           mxmn = "minimum"
         }
         document.getElementById("legendpop2").innerHTML = "<b>*Probability of precipitation (PoP) color definitions</b><br> Gray shadings: PoP between 10% and 30%<br> Green shadings: PoP greater than 30% and forecast " + mxmn + " temperatures greater than 35&degF<br> Red shadings:   PoP greater than 30% and forecast " + mxmn + " temperatures between 30&degF and 35&degF<br> Blue shadings:  PoP greater than 30% and forecast " + mxmn + " temperatures less than 30&degF<br>";
         }
      else {
         document.getElementById("legendpop2").innerHTML = ""
      }

      if ( fhr % 24 != 0 ) {
        mxmn = "Maximum"
      }
      else {
        mxmn = "Minimum"
      }

      document.getElementById("mnmxlabel").firstChild.nodeValue = mxmn + " temperature (\u00B0F)";

// Check to see if to display 0F isotherm or not...

      if ( DisplayForm.zero.checked == true ) {
         map.addLayer(zero);
         zero.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + '0F_f' + fhr + '.gif')
      } else {
         map.removeLayer(zero);
      }

// Check to see if to display 32F isotherm or not...

      if ( DisplayForm.freezing.checked == true ) {
         map.addLayer(freezing);
         freezing.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + '0C_f' + fhr + '.gif')
      }
      else {
         map.removeLayer(freezing);
      }

// Check to see if to display 100F isotherm or not...
      if ( DisplayForm.century.checked == true ) {
         map.addLayer(century);
         century.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + '100F_f' + fhr + '.gif')
      }
      else {
         map.removeLayer(century);
      }

// Check to see if to display isotherms for every 10F

      if ( DisplayForm.isotherms.checked == true ) {
         map.addLayer(isotherms);
         isotherms.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'isotherms_f' + fhr + '.gif')
      }
      else {
         map.removeLayer(isotherms)
      }

// Determine the forecast hour for fronts and wind barbs
      if ( DisplayForm.shiftfronts.checked ) {
         var frontshr = Number(fhr) - 12;
         if ( frontshr < 100 ) { frontshr = '0' + frontshr; }
         document.getElementById("validdate2").style = "text-decoration: none"
         document.getElementById("validdate1").style = "text-decoration: underline; text-decoration-color: red; -moz-text-decoration-color: red";
      }
      else {
         var frontshr = fhr;
         document.getElementById("validdate1").style = "text-decoration: none"
         document.getElementById("validdate2").style = "text-decoration: underline; text-decoration-color: red; -moz-text-decoration-color: red";
      }

// Check to see if to display fronts or not...

      if ( DisplayForm.front.checked == true ) {
        map.addLayer(fronts);
        if (DisplayForm.fronttype[0].checked == true) {
          if ( frontshr == "084" || frontshr == "108" || frontshr == "132" || frontshr == "156" || frontshr == "180" ) {
            fronts.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'fronts_thick_f' + frontshr + '.gif');
            fronts.setOpacity(0.8)
          } else {
            fronts.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'fronts_trans_f' + frontshr + '.gif');
            fronts.setOpacity(1.0)
          }
        }
        else {
          if ( frontshr == "060" && Number(fronts60hour) < 12 ) {
            map.removeLayer(fronts)
          } else {         
            fronts.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'fronts_thick_f' + frontshr + '.gif');
            fronts.setOpacity(0.8)
          }
        }
      }

      if ( DisplayForm.front.checked == false ) {
         map.removeLayer(fronts)
      }

// Check to see if to display station values or not...

      if ( DisplayForm.stnmxmn.checked == true ) {
         map.addLayer(stnmxmn);
         if ( DisplayForm.tstnonly.checked ) {
             if (DisplayForm.stntype[0].checked == true) {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'tstn_f' + fhr + ".gif")
             } else {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'tstn-all_f' + fhr + ".gif")
             }
         }

         else {

         switch ( imgfill ) {
           case 'minmax':
             if (DisplayForm.stntype[0].checked == true) {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'tstn_f' + fhr + ".gif")
             } else {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'tstn-all_f' + fhr + ".gif")
             }
             break;

           case 'minmaxanom':
             if (DisplayForm.stntype[0].checked == true) {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'tastn_f' + fhr + ".gif")
             } else {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'tastn-all_f' + fhr + ".gif")
             }
             break;

           case 'td':
             if (DisplayForm.stntype[0].checked == true) {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'tdstn_f' + fhr + ".gif")
             } else {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'tdstn-all_f' + fhr + ".gif")
             }
             break;

           case 'pop':
             if (DisplayForm.stntype[0].checked == true) {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'popstn_f' + fhr + ".gif")
             } else {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'popstn-all_f' + fhr + ".gif")
             }
             break;

           case 'pop2':
             if (DisplayForm.stntype[0].checked == true) {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'popstn_f' + fhr + ".gif")
             }
             else {
               stnmxmn.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'popstn-all_f' + fhr + ".gif")
             }
             break;
      
           default:
             map.removeLayer(stnmxmn);
        }
      }
    }

      if ( DisplayForm.stnmxmn.checked == false ) {
         map.removeLayer(stnmxmn)
      }

// Check to see if to display winds or not...
  
      if ( DisplayForm.windb.checked == true ) {
         map.addLayer(wind);
         wind.setUrl('https://www.wpc.ncep.noaa.gov/medr/display/' + 'windb_trans_f' + frontshr + '.gif')
      } else {
         map.removeLayer(wind);
      }

   return false;
   }

// ***** END FUNCTION GETDATA() *****

  document.innerHTML = getData(0);
</script>

    </div>
    <hr/>
    <?php if (!$standAlone) {
		  echo '<p align="center" style="font-size:14px"><a href="wxwpcmedr-SA.php" target="_blank">Full Size Maps</a></p>';
	  } ?>
    <p align="center">Click for <a href="wxus3dfrontfc<?php echo $standAlone?'-SA':''?>.php">3 Day</a> Front Forecast Charts<br/>
      <span style="font-size:10px; line-height:130%">
    	Maps and Data Courtesy of NOAA NWS <a href="https://www.wpc.ncep.noaa.gov/medr/display/medrt.php" target="_blank" title="Opens in New Tab">Weather Prediction Center</a>.<br/>
      Script by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a>.</span></p>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
  date_default_timezone_set($SITE['tz']);	# Reset to default TimeZone
 	if (file_exists("footer-invalid.php"))include("footer-invalid.php");
	else include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>